Resent-Date: Thu, 14 Jan 1999 09:25:44 +0100 (MET)
Sender: schmitz@lbl.gov
Date: Thu, 14 Jan 1999 00:25:40 -0800
From: Michael Schmitz <MSchmitz@lbl.gov>
Organization: Tinoco Lab, UC Berkekely / Lawrence Berkeley Laboratory
To: Jes Sorensen <Jes.Sorensen@cern.ch>
CC: linux-m68k@lists.linux-m68k.org, ddkilzer@earthlink.net
Subject: Re: 2.2.0pre6
References: <199901111810.TAA15775@valhall.cern.ch>
Resent-From: linux-m68k@phil.uni-sb.de

This is a multi-part message in MIME format.
--------------96F2733A036C84A0C714A51B
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Jes Sorensen wrote:
> 
> So there's been quite a few patches for pre4 by now, time to try pre6. I
> have applied most of the m68k patches posted here, even the head.S patch
> earlier today from Roman Zippel so I hope some Mac guys are happy now

Some leftover PTOV cleanup from the Atari SCSI and framebuffer driver, and 
KERNELMAP* -> IOMAP* for macsonic ...

And someone duplicated all Mac SCSI hosts in hosts.c (did you _really_ like 
them that much, Jes?) and the SCSI controller in the Quadra 800 is detected
twice, with the obvious results. 

Something else must have happened to the NCR53C9x driver because I got a
couple of messages about 'forcing async' from the driver. Mac should never
negotiate sync transfer, you know. 

No cigar yet ...

	Michael
--------------96F2733A036C84A0C714A51B
Content-Type: text/plain; charset=us-ascii; name="mac-2.2.0pre6.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="mac-2.2.0pre6.diff"

--- linux-2.2.0pre6/drivers/net/macsonic.c.org	Wed Jan 13 22:00:01 1999
+++ linux-2.2.0pre6/drivers/net/macsonic.c	Wed Jan 13 21:49:02 1999
@@ -424,7 +424,7 @@
 		}
 
 		/* XXX sonic_local has the TDA, RRA, RDA, don't cache */
-		kerne_set_cachemode((u32)lp, 8192, KERNELMAP_NOCACHE_SER);
+		kernel_set_cachemode((u32)lp, 8192, IOMAP_NOCACHE_SER);
 		memset(lp, 0, sizeof(struct sonic_local));
 
 		lp->cda_laddr = (u32)lp;
@@ -443,7 +443,7 @@
 			return -ENOMEM;
 		}
 		/* XXX RBA written by Sonic, not cached either */
-		kernel_set_cachemode((u32)lp->rba, 6*8192, KERNELMAP_NOCACHE_SER);
+		kernel_set_cachemode((u32)lp->rba, 6*8192, IOMAP_NOCACHE_SER);
 		lp->rba_laddr = (u32)lp->rba;
 		flush_cache_all();
 		dev->priv = (struct sonic_local *) lp;
--- linux-2.2.0pre6/drivers/scsi/atari_scsi.c.org	Wed Jan 13 21:57:34 1999
+++ linux-2.2.0pre6/drivers/scsi/atari_scsi.c	Wed Jan 13 21:46:34 1999
@@ -461,7 +461,7 @@
 		/* If the dribble buffer was used on a read operation, copy the DMA-ed
 		 * data to the original destination address.
 		 */
-		memcpy( atari_dma_orig_addr, (void *)PTOV(atari_dma_startaddr),
+		memcpy( atari_dma_orig_addr, (void *)phys_to_virt(atari_dma_startaddr),
 		       HOSTDATA_DMALEN - atari_dma_residual );
 		atari_dma_orig_addr = NULL;
 	}
@@ -487,7 +487,7 @@
 		dst = (char *)((unsigned long)dst ^ nr);
 		DMA_PRINTK("SCSI DMA: there are %d rest bytes for phys addr 0x%08lx",
 			   nr, (long)dst);
-		dst = (char *)PTOV(dst);  /* The content of the DMA pointer
+		dst = (char *)phys_to_virt(dst);  /* The content of the DMA pointer
 					   * is a physical address! */
 		DMA_PRINTK(" = virt addr 0x%08lx\n", (long)dst);
 		for (src = (char *)&tt_scsi_dma.dma_restdata; nr != 0; --nr)
--- linux-2.2.0pre6/drivers/scsi/mac_esp.c.org	Wed Jan 13 23:36:04 1999
+++ linux-2.2.0pre6/drivers/scsi/mac_esp.c	Wed Jan 13 23:35:46 1999
@@ -292,6 +292,9 @@
 	unsigned long timeout;
 #endif
 
+	if (esp_initialized > 0)
+		return -ENODEV;
+
 	/* what do we have in this machine... */
 	if (MACHW_PRESENT(MAC_SCSI_96)) {
 		chipspresent ++;
--- linux-2.2.0pre6/drivers/scsi/hosts.c.org	Wed Jan 13 23:59:04 1999
+++ linux-2.2.0pre6/drivers/scsi/hosts.c	Wed Jan 13 23:58:58 1999
@@ -111,18 +111,6 @@
 #include "mac_esp.h"
 #endif
 
-#ifdef CONFIG_MAC_SCSI_OLD
-#include "mac_scsi.h"
-#endif
-
-#ifdef CONFIG_MAC_SCSI
-#include "mac_scsinew.h"
-#endif
-
-#ifdef CONFIG_SCSI_MAC_ESP
-#include "mac_esp.h"
-#endif
-
 #ifdef CONFIG_SCSI_ADVANSYS
 #include "advansys.h"
 #endif
@@ -407,18 +395,6 @@
 #ifdef CONFIG_ATARI
 #ifdef CONFIG_ATARI_SCSI
 	ATARI_SCSI,
-#endif
-#endif
-
-#ifdef CONFIG_MAC
-#ifdef CONFIG_MAC_SCSI_OLD
-	MAC_SCSI,
-#endif
-#ifdef CONFIG_SCSI_MAC_ESP
-        SCSI_MAC_ESP,
-#endif
-#ifdef CONFIG_MAC_SCSI
-	MAC_NCR5380,
 #endif
 #endif
 
--- linux-2.2.0pre6/drivers/video/atafb.c.org	Wed Jan 13 21:57:50 1999
+++ linux-2.2.0pre6/drivers/video/atafb.c	Wed Jan 13 21:45:55 1999
@@ -670,7 +670,7 @@
 	addr = ((shifter.bas_hi & 0xff) << 16) |
 	       ((shifter.bas_md & 0xff) << 8)  |
 	       ((shifter.bas_lo & 0xff));
-	par->screen_base = PTOV(addr);
+	par->screen_base = phys_to_virt(addr);
 }
 
 static void tt_set_par( struct atafb_par *par )
@@ -1503,7 +1503,7 @@
 	addr = (shifter.bas_hi & 0xff) << 16 |
 	       (shifter.bas_md & 0xff) << 8  |
 	       (shifter.bas_lo & 0xff);
-	par->screen_base = PTOV(addr);
+	par->screen_base = phys_to_virt(addr);
 
 	/* derived parameters */
 	hw->ste_mode = (hw->f_shift & 0x510)==0 && hw->st_shift==0x100;
@@ -1930,7 +1930,7 @@
 	       ((shifter.bas_md & 0xff) << 8);
 	if (ATARIHW_PRESENT(EXTD_SHIFTER))
 		addr |= (shifter.bas_lo & 0xff);
-	par->screen_base = PTOV(addr);
+	par->screen_base = phys_to_virt(addr);
 }
 
 static void stste_set_par( struct atafb_par *par )
--- linux-2.2.0pre6/init/main.c.org	Wed Jan 13 23:37:24 1999
+++ linux-2.2.0pre6/init/main.c	Wed Jan 13 23:37:03 1999
@@ -274,6 +274,9 @@
 #ifdef CONFIG_MAC_SCSI
 extern void mac_scsi_setup (char *str, int *ints);
 #endif
+#ifdef CONFIG_SCSI_MAC_ESP
+extern void mac_esp_setup (char *str, int *ints);
+#endif
 
 #ifdef CONFIG_CYCLADES
 extern void cy_setup(char *str, int *ints);

--------------96F2733A036C84A0C714A51B--

